summaryrefslogtreecommitdiff
path: root/test/api/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/api/run_tests.sh')
-rwxr-xr-xtest/api/run_tests.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/api/run_tests.sh b/test/api/run_tests.sh
new file mode 100755
index 0000000..19e8e17
--- /dev/null
+++ b/test/api/run_tests.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+echo Running api tests:
+
+tests=0
+passed=0
+
+for file in `ls`; do
+ [ ! -x $file -o -d $file ] && continue
+ tests=`expr 1 + $tests`
+ printf " %s:\t" $file
+ ./$file
+ if [ $? ]; then
+ passed=`expr 1 + $passed`
+ echo 'SUCCESS'
+ else
+ echo 'FAILURE'
+ fi
+done
+
+echo "$passed/$tests passed"
+
+exit 0